---
title: Snapshots
url: https://docs.vultr.com/products/compute/instances/cloud-gpu/features/snapshots
description: Learn how to create and manage snapshots of your Vultr Cloud GPU instance for backup and recovery purposes.
publish_date: 2024-09-23T20:20:19.317900Z
last_updated: 2026-05-26T18:48:23.964733Z
---

# How to Create Snapshots on a Vultr Cloud GPU Instance

A snapshot is a point-in-time copy of the instance state that includes the file system and disk contents. Snapshots enable instant backups of an instance to enable data recovery in case of unexpected failures.

Follow this guide to create snapshots on a Vultr Cloud GPU instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target instance to open its management page.
    1. Navigate to the **Snapshots** tab.
    1. Enter a new descriptive label in the **Label** field. 
    1. Click **Create Snapshot** to take a new snapshot of your instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note the target instance's ID in your output.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Snapshot** endpoint](https://www.vultr.com/api/#tag/snapshot/operation/create-snapshot) to create a new snapshot of the instance.

        ```console
        $ curl "https://api.vultr.com/v2/snapshots" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_id" : "<instance-id>",
            "description" : "<label>"
          }'
        ```

=== "Vultr CLI"

    1. List all instances available in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Create a new snapshot of the instance.

        ```console
        $ vultr-cli snapshot create --id <instance-id>
        ```
